<?xml version="1.0" encoding="UTF-8"?>
<!--
- Licensed Materials - Property of IBM Corp.
- IBM UrbanCode Build
- IBM UrbanCode Deploy
- IBM UrbanCode Release
- IBM AnthillPro
- (c) Copyright IBM Corporation 2002, 2017. All Rights Reserved.
-
- U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
- GSA ADP Schedule Contract with IBM Corp.
-->
<plugin-upgrade
        xmlns="http://www.urbancode.com/UpgradeXMLSchema_v1"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <migrate to-version="5">
    <migrate-command name="Disable node in pool"/>
    <migrate-command name="Enable node in pool"/>
    <migrate-command name="Add node to pool"/>
    <migrate-command name="Remove node from pool"/>
    <migrate-command name="Create pool"/>
    <migrate-command name="Delete pool"/>
  </migrate>
  <migrate to-version="6">
    <migrate-command name="Disable node in pool"/>
    <migrate-command name="Enable node in pool"/>
    <migrate-command name="Add node to pool"/>
    <migrate-command name="Remove node from pool"/>
    <migrate-command name="Create pool"/>
    <migrate-command name="Delete pool"/>
    <migrate-command name="Enable node in all pools">
    </migrate-command>
    <migrate-command name="Disable node in all pools">
      <migrate-properties>
        <migrate-property name="doWaitForConnectionClose" default="false"/>
        <migrate-property name="sleepInterval" default="1"/>
        <migrate-property name="timeout" default="60"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="7">
    <migrate-command name="Disable node in pool"/>
    <migrate-command name="Enable node in pool"/>
    <migrate-command name="Add node to pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Remove node from pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Create pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in all pools">
       <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="8">
    <migrate-command name="Disable node in pool">
      <migrate-properties>
        <migrate-property name="forceOffline" default="false"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in pool"/>
    <migrate-command name="Add node to pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Remove node from pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Create pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in all pools">
       <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="9">
    <migrate-command name="Disable node in pool">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Disable node in all pools">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Check if node is up">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in pool">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in all pools">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Add node to pool">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Remove node from pool">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Create pool">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
    <migrate-command name="Delete pool">
       <migrate-properties>
         <migrate-property name="f5JarLocation" default="${PLUGIN_HOME}/lib/iControl.jar"/>
       </migrate-properties>
    </migrate-command>
  </migrate>
  <migrate to-version="11">
    <migrate-command name="Disable node in pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in pool">
      <migrate-properties>
        <migrate-property name="partition" default="Common"/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Add node to pool"/>
    <migrate-command name="Remove node from pool"/>
    <migrate-command name="Create pool"/>
    <migrate-command name="Delete pool"/>
    <migrate-command name="Enable node in all pools"/>
  </migrate>
    <migrate to-version="12">
    <migrate-command name="Disable node in all pools">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Disable node in pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable node in all pools">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Add node to pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Remove node from pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Create pool"/>
    <migrate-command name="Delete pool"/>
  </migrate>
  <migrate to-version="13">
    <migrate-command name="Disable Node" old="Disable node in all pools">
      <migrate-properties>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Disable Pool Member" old="Disable node in pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
        <migrate-property name="nodePort" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable Pool Member" old="Enable node in pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
        <migrate-property name="nodePort" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable Node" old="Enable node in all pools">
      <migrate-properties>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Add Pool Member" old="Add node to pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
        <migrate-property name="nodePort" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Remove Pool Member" old="Remove node from pool">
      <migrate-properties>
        <migrate-property name="poolName" default=""/>
        <migrate-property name="nodeName" default=""/>
        <migrate-property name="nodePort" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Confirm Enabled Node" old="Check if node is up">
      <migrate-properties>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name= "Confirm Disabled Node" old="Check if node is down"/>
    <migrate-command name="Create Pool" old="Create pool"/>
    <migrate-command name="Delete Pool" old="Delete pool"/>
  </migrate>
  <migrate to-version="14">
    <migrate-command name="Disable Node"/>
    <migrate-command name="Disable Pool Member"/>
    <migrate-command name="Enable Pool Member">
      <migrate-properties>
        <migrate-property name="nodeName" default=""/>
      </migrate-properties>
    </migrate-command>
    <migrate-command name="Enable Node"/>
    <migrate-command name="Add Pool Member"/>
    <migrate-command name="Remove Pool Member"/>
    <migrate-command name="Confirm Enabled Node"/>
    <migrate-command name="Confirm Disabled Node"/>
    <migrate-command name="Create Pool"/>
    <migrate-command name="Delete Pool"/>
    <migrate-command name="Create Node"/>
    <migrate-command name="Delete Node"/>
  </migrate>
  <migrate to-version="15">
    <migrate-command name="Disable Node"/>
    <migrate-command name="Disable Pool Member"/>
    <migrate-command name="Enable Pool Member"/>
    <migrate-command name="Enable Node"/>
    <migrate-command name="Add Pool Member"/>
    <migrate-command name="Remove Pool Member"/>
    <migrate-command name="Confirm Enabled Node"/>
    <migrate-command name="Confirm Disabled Node"/>
    <migrate-command name="Create Pool"/>
    <migrate-command name="Delete Pool"/>
    <migrate-command name="Create Node"/>
    <migrate-command name="Delete Node"/>
  </migrate>
  <migrate to-version="16">
    <migrate-command name="Disable Node"/>
    <migrate-command name="Disable Pool Member"/>
    <migrate-command name="Enable Pool Member"/>
    <migrate-command name="Enable Node"/>
    <migrate-command name="Add Pool Member"/>
    <migrate-command name="Remove Pool Member"/>
    <migrate-command name="Confirm Enabled Node"/>
    <migrate-command name="Confirm Disabled Node"/>
    <migrate-command name="Create Pool"/>
    <migrate-command name="Delete Pool"/>
    <migrate-command name="Create Node"/>
    <migrate-command name="Delete Node"/>
  </migrate>
  <migrate to-version="17">
  </migrate>
  <migrate to-version="18">
  </migrate>
</plugin-upgrade>
